/* -*- mode: c++; c-basic-offset: 3; -*- */
#include "marker.hh"
#include "TAttMarker.h"

//======================================  Constructor
marker::marker(void)
  : mStyle(ms_dot), mSize(1), mColor(1)
{}

//======================================  Constructor
marker::marker(marker_style style, int size, int color)
  : mStyle(style), mSize(size), mColor(color)
{}

//======================================  get the marker color
int
marker::color(void) const {
  return mColor;
}

//=======================================  Set the marker color.
void
marker::set_color(int clr) {
  mColor = clr;
}

//=======================================  Set the marker size.
void
marker::set_size(int sz) {
  mSize = sz;
}

//=======================================  Set the marker style.
void
marker::set_style(marker_style mrk) {
  mStyle = mrk;
}

//=======================================  Get the marker size.
int
marker::size(void) const {
  return mSize;
}

//=======================================  Get the marker sstyle.
int
marker::style(void) const {
  switch (mStyle) {
  case ms_dot:
    return kDot;
  case ms_circle:
    return kFullCircle;
  case ms_uptriangle:
    return kFullTriangleUp;
  case ms_dntriangle:
    return kFullTriangleDown;
  case ms_square:
    return kFullSquare;
  case ms_diamond:
    return kFullDiamond;
  }
  return kDot;
}
